*{
	/*CSS-Reset allows us to to Zero the margins and paddings of all
	  elements to remove the default margins and paddings set by the browser.
	  This allows more control over the margin and paddings for developers.*/

	  margin: 0;
	  padding: 0;

	/*By default, our CSS boxes add the padding and border on the top of height and width.

	box-sizing:  content-box;

	However, the issue to this, is that the computation of the height and width are not very accurate
	because padding and border are added on top of the height and width, therefore increasing the actual height and width of our element.

	box-sizing: border-box;

	Allows us more control of the measurements of our elements.
		-Padding and border are now accounted for and added to the overall width of the element.

	*/

	  box-sizing: border-box;
}

#box1 {
	background-color: red;

	/*margin is space generated outside of an element*/
	margin: 10px;

	/*margin-top: 10px;
	margin-right: 20px;
	margin-left: 30px;
	margin-bottom: 40px;*/

	/*border is the line between the margin and the padding*/
	border: 2px solid black;

	/*border-top: 2px solid black;
	border-left: 5px solid green;
	border-right: 10px solid red;
	border-bottom: 2px solid black;*/

	/*padding is space generated within a border/inside your element*/
	padding: 10px;

	/*padding-top: 5px;
	padding-right: 20px;
	padding-left: 3px;
	padding-bottom: 30px;*/

	/*
	Block elements like div, heading, section, main, paragraph break the line. 
	Block elements, if not set with a definite height and width, will occupy the full width of their parents.
	You can set the width of out block elements.*/

	height: 100px;
	width: 100px;
}

#box2 {
	background-color: orange;
	border: 2px solid black;
	height: 100px;
	width: 100px;
}
#box3 {
	background-color: green;
	border: 2px solid black;
	width: 100px;
}
#span1 {
	/*
	Inline elements like span, a, img, etc does not break the line and are presented side by side. Inline elements only occupy space based on the overall size of its content. 

	If fact, you cannot set it's height and width.

	margin was only displayed on the left and right side

	padding is only displayed properly on the right and left side.

	Border works correctly in an inline element

	Inline-block elements are displayed side-by-side like inline elements. 
	However, we can set the width and height for our inline block elements.
	*/

	background-color: purple;
	border: 2px solid black;
	display: inline-block;
	height: 100px;
	width: 100px;
	/*margin: 20px;*/
	/*padding: 30px;*/
	padding-right: 30px;
	padding-left: 30px;
	vertical-align: top;
}

#span2 {
	display: inline-block;
	vertical-align: top;
	height: 100px;
	width: 100px;
	background-color: yellow;
	border: 2px solid black;
}

#box4 {
	display: inline-block;
	vertical-align: top;
	height: 100px;
	width: 100px;
	background-color: pink;
	border: 2px solid black;
}